<script>
    var requireJS = [];

    loadJS(requireJS, "js/views/common.js");
    loadCSS('css/bootstrap-tokenfield.min.css');
    loadJS(requireJS, 'js/bootstrap-tokenfield.min.js');
    loadJS(requireJS, 'js/wings-tokenfield.js');
    loadJS(requireJS, 'js/views/lines.js');

</script>

<div>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header">
                    <i class="icon-list"></i> Lineas de Clientes
                </div>
                <div class="card-block">

                    <div class="input-group">

                        <span class="input-group-btn">
                            <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
                                <i class="fa fa-gear"></i>
                                Operaciones
                                <span class="caret"></span>
                            </button>
                            <div class="dropdown-menu" id="actions-dropdown">
                                <a class="dropdown-item disabled" href="#">Elementos seleccionados</a>
                                <a sec:authorize="hasRole('ROLE_ADMIN')" class="dropdown-item" id="action-send-sim">Generar Pedidos</a>
                                <a sec:authorize="hasRole('ROLE_ADMIN')" class="dropdown-item" id="action-send-sim-replacement">Generar Envio SIM reemplazo</a>
                                <a sec:authorize="hasRole('ROLE_ADMIN')" class="dropdown-item" id="action-request-portability">Solicitar Portabilidad</a>
                                <a sec:authorize="hasRole('ROLE_ADMIN')" class="dropdown-item" id="action-request-portability-holder">Solicitar Portabilidad con otro titular</a>
                                <a sec:authorize="hasRole('ROLE_ADMIN')" class="dropdown-item" id="action-request-brand-change">Solicitar Cambio de Marca</a>
                                <a sec:authorize="hasRole('ROLE_ADMIN')" class="dropdown-item" id="action-process-payment-authorizarion">Procesar Autorizacion de pago</a>
                                <a class="dropdown-item disabled" href="#">Contratos</a>
                                <a sec:authorize="hasRole('ROLE_ADMIN')" class="dropdown-item" id="action-regenerate-contracts">Regenerar contratos</a>                                
                            </div>
                        </span>
                        &nbsp;


                        <span class="input-group-btn">
                            <button type="button" class="btn btn-primary search-button">
                                <i class="fa fa-search"></i>
                            </button>
                        </span>

                        <div class="btn-group">
                            <input th:value="${q}" type="search" class="form-control search-input" placeholder="Buscar...">
                            <span class="search-clear fa fa-remove"></span>
                        </div>

                        &nbsp;                        
                        <span class="input-group-btn">
                            <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
                                <i class="fa fa-filter"></i>
                                <span class="caret"></span>
                            </button>
                            <div class="dropdown-menu" id="drop-status-filter">
                                <a class="dropdown-item" href="#">created_local</a>
                                <a class="dropdown-item" href="#">contract_created</a>
                                <a class="dropdown-item" href="#">contract_sended</a>
                                <a class="dropdown-item" href="#">contract_resended</a>
                                <a class="dropdown-item" href="#">contract_signed</a>
                                <a class="dropdown-item" href="#">order_created</a>
                                <a class="dropdown-item" href="#">order_sended</a>
                                <a class="dropdown-item" href="#">order_received</a>
                                <a class="dropdown-item" href="#">order_delivered</a>
                                <a class="dropdown-item" href="#">created_operator</a>
                                <a class="dropdown-item" href="#">port_requested</a>
                                <a class="dropdown-item" href="#">port_rejected</a>
                                <a class="dropdown-item" href="#">port_accepted</a>
                                <a class="dropdown-item" href="#">change_brand_requested</a>
                                <a class="dropdown-item" href="#">change_brand_rejected</a>
                                <a class="dropdown-item" href="#">change_brand_accepted</a>
                                <a class="dropdown-item" href="#">active</a>
                                <a class="dropdown-item" href="#">inactive</a>
                                <a class="dropdown-item" href="#">suspended</a>
                                <a class="dropdown-item" href="#">callBarring</a>
                                <a class="dropdown-item" href="#">hotLine</a>
                                <a class="dropdown-item" href="#">fraud</a>
                                <a class="dropdown-item" href="#">theft</a>

                            </div>
                        </span>                        
                        <div class="btn-group">
                            <input id="tokenfield" th:value="${status}" type="text" class="form-control">
                        </div>
                        
                        &nbsp;                        
                        <div class="input-group-btn">
                            <div class="input-group-btn pull-right">
                                <button type="button" class="btn btn-primary action-item" id="action-item-check-state" title="Consulta el estado de la linea en el operador y actualiza la linea">
                                    <i class="fa fa-check"></i> Consultar Estado
                                </button>
                            </div>
                        </div>
                        &nbsp;                        
                        <div class="input-group-btn">
                            <div class="input-group-btn pull-right">
                                <button type="button" class="btn btn-primary action-item" id="action-item-check-port-state" title="Consulta el estado de las lineas en proceso de portabilidad en el operador y actualiza el estado de la linea">
                                    <i class="fa fa-check"></i> Consultar Portabilidades
                                </button>
                            </div>
                        </div>
                    </div>

                    <br/>


                    <table class="table table-bordered table-striped table-sm">
                        <thead>
                            <tr>
                                <th><input class="chk-check-all" type="checkbox"></th>
                                <th>#</th>
                                <th>Cliente</th>
                                <th>Creación</th>
                                <th>Activación</th>
                                <th>Número</th>
                                <th>Iccid</th>
                                <th>Plan</th>
                                <th>Firmado</th>
                                <th>Estado <span class="badge badge-pill badge-danger">?</span></th>
                                <th>Mensaje</th>
                                <th>&nbsp;</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">                                
                                <td><input th:id="${item.id}" type="checkbox" name="line-id"></td>
                                <td th:text="${item.id}"></td>
                                <td>
                                    <i class="fa fa-eye action-button" data-toggle="modal" data-target="#viewModal" th:attr="data-url='views/clients/clients/'+${item.client.id}+'/form/view'"></i>
                                    <span th:text="${item.client}"></span>
                                </td>
                                <td th:if="${item.creationDate != null}" th:text="${#dates.format(item.creationDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td th:if="${item.creationDate == null}"></td>
                                <td th:if="${item.activationDate != null}" th:text="${#dates.format(item.activationDate, 'dd/MM/yyyy')}"></td>
                                <td th:if="${item.activationDate == null}"></td>                                
                                <td th:text="${item.number}"></td>
                                <td th:text="${item.iccid}"></td>
                                <td th:text="${item.planDescription}"></td>
                                <td class="text-center">
                                    <span class="badge badge-success" th:if="${item.contractSigned}">si</span>
                                    <span class="badge badge-danger" th:if="${!item.contractSigned}">no</span>
                                </td>
                                <td class="text-center">
                                    <span th:switch="${item.internalState}">
                                        <span class="badge badge-info" th:text="#{${item.internalState}}" th:case="'created_local'"></span>
                                        <span class="badge badge-info" th:text="#{${item.internalState}}" th:case="'contract_created'"></span>
                                        <span class="badge badge-info" th:text="#{${item.internalState}}" th:case="'contract_sended'"></span>
                                        <span class="badge badge-info" th:text="#{${item.internalState}}" th:case="'contract_signed'"></span>
                                        <span class="badge badge-info" th:text="#{${item.internalState}}" th:case="'order_created'"></span>
                                        <span class="badge badge-info" th:text="#{${item.internalState}}" th:case="'order_sended'"></span>
                                        <span class="badge badge-info" th:text="#{${item.internalState}}" th:case="'order_received'"></span>
                                        <span class="badge badge-info" th:text="#{${item.internalState}}" th:case="'order_delivered'"></span>
                                        <span class="badge badge-info" th:text="#{${item.internalState}}" th:case="'created_operator'"></span>
                                        <span class="badge badge-info" th:text="#{${item.internalState}}" th:case="'port_requested'"></span>
                                        <span class="badge badge-danger" th:text="#{${item.internalState}}" th:case="'port_rejected'"></span>
                                        <span class="badge badge-info" th:text="#{${item.internalState}}" th:case="'port_accepted'"></span>
                                        <span class="badge badge-info" th:text="#{${item.internalState}}" th:case="'change_brand_requested'"></span>
                                        <span class="badge badge-danger" th:text="#{${item.internalState}}" th:case="'change_brand_rejected'"></span>
                                        <span class="badge badge-info" th:text="#{${item.internalState}}" th:case="'change_brand_accepted'"></span>
                                        <span class="badge badge-success" th:text="#{${item.internalState}}" th:case="'active'"></span>
                                        <span class="badge badge-default" th:text="#{${item.internalState}}" th:case="'inactive'"></span>
                                        <span class="badge badge-warning" th:text="#{${item.internalState}}" th:case="*"></span>
                                    </span>                    
                                </td>
                                <td class="text">                                    
                                    <a href="#" data-toggle="tooltip" th:title="${item.externalState}">
                                        <span th:text="${item.externalState}"></span>
                                    </a>
                                </td>
                                <td>
                                    <i class="fa fa-eye action-button" data-toggle="modal" data-target="#viewModal" th:attr="data-url='views/clients/lines/'+${item.id}+'/form'"></i>
                                    <i sec:authorize="hasRole('ROLE_ADMIN')" class="fa fa-pencil action-button" data-toggle="modal" data-target="#editModal"></i>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <div th:replace="fragments/pagination :: paginationbar"></div>

                </div>
            </div>
        </div>
        <!--/.col-->
    </div>
</div>


<!-- EDIT MODAL -->
<div class="modal fade" id="editModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Modal title</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <p>One fine body&hellip;</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                <button type="button" class="btn btn-success">Guardar</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal -->

<div th:replace="fragments/view-modal"></div>